[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

A little install-info fix



This may be fixed in the latest Debian relese, I have ony Debian 1.2.
The problem is that install-info assumes that the pipe
"gzip -d <$filename.gz |" sets $? to 0x8d00 when it terminates with a
SIGPIPE.  This is true for bash, but if /bin/sh is not bash but zsh or
ksh (the original AT&T one, not pdksh), $? would be set to 0xd.  The exit
status is 0x8d00 when the child voluntarily exits using exit(0x8d) while
the exit status is 0xd when the child was killed by the SIGPIPE signal.
Note that even with bash the exit status is 0xd when I modify the pipe to
"gzip -dc $filename.gz |".

The patch below fixes this problem.  I'm not a Debian developer myself,
so if this bug is still present in the latest version, please put this
fix into the release.  I'm not on this list, so please Cc: any followups
to me.

Thanks,

Zoltan


--- /usr/sbin/install-info.ORIG	Sun Jan 26 01:15:02 1997
+++ /usr/sbin/install-info	Wed Sep  3 02:03:24 1997
@@ -345,7 +345,7 @@
 }
 
 sub checkpipe {
-    return if !$pipeit || !$? || $?==0x8D00;
+    return if !$pipeit || !$? || $?==0x8D00 || $?==0xD;
     die "$name: read $filename: $?\n";
 }
 


--
TO UNSUBSCRIBE FROM THIS MAILING LIST: e-mail the word "unsubscribe" to
debian-devel-request@lists.debian.org . 
Trouble?  e-mail to templin@bucknell.edu .


Reply to: